using Decimation.Lib.Util;
using Terraria;

namespace Decimation.Lib.Items
{
    public abstract class DecimationAccessory : DecimationItem
    {
        protected abstract void InitAccessory();

        protected sealed override void Init()
        {
            this.item.accessory = true;
            this.item.maxStack = 1;

            InitAccessory();
        }

        public override void UpdateAccessory(Player player, bool hideVisual)
        {
            player.EquipAccessory(this);
        }
    }
}